<?php session_start() ?>  
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container" style="padding:0 250px;">
<h1>A Simple Example Delete Multile Rows Using PHP and jQuery</h1>
<div class="row well">
	<a type="button" class="btn btn-primary pull-right delete_all">Delete Selected</a>
</div>
<table id="employee_grid" class="table table-condensed table-hover table-striped bootgrid-table" width="60%" cellspacing="0">
   <thead>
      <tr>
         <th><input type="checkbox" id="master"></th>
         <th>Name</th>
         <th>Salary</th>
         <th>Age</th>
		 <th class="pull-right">Delete</th>
      </tr>
   </thead>
   <tbody>
      <tr data-row-id="1">
         <td><input type="checkbox" class="sub_chk" data-id="1"></td>
         <td>Tiger Nixon</td>
         <td>320800</td>
         <td>61</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="1" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="2">
         <td><input type="checkbox" class="sub_chk" data-id="2"></td>
         <td>Garrett Winters</td>
         <td>170750</td>
         <td>63</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="3" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="3">
         <td><input type="checkbox" class="sub_chk" data-id="3"></td>
         <td>Ashton Cox</td>
         <td>86000</td>
         <td>66</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="3" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="4">
         <td><input type="checkbox" class="sub_chk" data-id="4"></td>
         <td>Cedric Kelly</td>
         <td>433060</td>
         <td>22</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="4" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="5">
         <td><input type="checkbox" class="sub_chk" data-id="5"></td>
         <td>Airi Satou</td>
         <td>162700</td>
         <td>33</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="5" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="6">
         <td><input type="checkbox" class="sub_chk" data-id="6"></td>
         <td>Brielle Williamson</td>
         <td>372000</td>
         <td>61</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="6" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="7">
         <td><input type="checkbox" class="sub_chk" data-id="7"></td>
         <td>Herrod Chandler</td>
         <td>137500</td>
         <td>59</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="7" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="8">
         <td><input type="checkbox" class="sub_chk" data-id="8"></td>
         <td>Rhona Davidson</td>
         <td>327900</td>
         <td>55</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="8" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="9">
         <td><input type="checkbox" class="sub_chk" data-id="9"></td>
         <td>Colleen Hurst</td>
         <td>205500</td>
         <td>39</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="9" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
      <tr data-row-id="10">
         <td><input type="checkbox" class="sub_chk" data-id="10"></td>
         <td>Sonya Frost</td>
         <td>103600</td>
         <td>23</td>
		 <td><a class="remove-row pull-right" targetDiv="" data-id="10" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></td>
      </tr>
   </tbody>
</table>
</div>
</body>
</html>
<script type="text/javascript">
$(document).ready(function(){
	jQuery('#master').on('click', function(e) {
		if($(this).is(':checked',true))  
		{
			$(".sub_chk").prop('checked', true);  
		}  
		else  
		{  
			$(".sub_chk").prop('checked',false);  
		}  
	});
	jQuery('.delete_all').on('click', function(e) { 
		var allVals = [];  
		$(".sub_chk:checked").each(function() {  
			allVals.push($(this).attr('data-id'));
		});  
		//alert(allVals.length); return false;  
		if(allVals.length <=0)  
		{  
			alert("Please select row.");  
		}  
		else {  
			//$("#loading").show(); 
			WRN_PROFILE_DELETE = "Are you sure you want to delete this row?";  
			var check = confirm(WRN_PROFILE_DELETE);  
			if(check == true){  
				//for server side
				/*
				var join_selected_values = allVals.join(","); 
				
				$.ajax({   
				  
					type: "POST",  
					url: "delete.php",  
					cache:false,  
					data: 'ids='+join_selected_values,  
					success: function(response)  
					{   
						$("#loading").hide();  
						$("#msgdiv").html(response);
						//referesh table
					}   
				});*/
              //for client side
			  $.each(allVals, function( index, value ) {
				  $('table tr').filter("[data-row-id='" + value + "']").remove();
			  });
				

			}  
		}  
	});
	jQuery('.remove-row').on('click', function(e) {
		WRN_PROFILE_DELETE = "Are you sure you want to delete this row?";  
			var check = confirm(WRN_PROFILE_DELETE);  
			if(check == true){
				$('table tr').filter("[data-row-id='" + $(this).attr('data-id') + "']").remove();
			}
	});
});
</script>